V1.0
get
/ec-dc-svc/rest/v1.0/studies/{studyId}/{mode}/subjects/screeningnumber
Returns a list of subjects with their screening numbers and site details for the specified study.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.Example:
test -
studyId(required): string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.Example:
ABCDEF1234567890ABCDEF1234567890
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful retrieval of subject screening numbers.
Root Schema : schema
Type:
Show Source
array-
Array of:
object SubjectScreeningNumberResponseDto
Subject screening number and related site details
Nested Schema : SubjectScreeningNumberResponseDto
Type:
objectSubject screening number and related site details
Show Source
-
id: string
unique identifier (UUID, 32-character uppercase hexadecimal string) for a subjectExample:
9876543210ABCDEF1234567890ABCDEF -
objectVersionNumber: integer
(int32)
Object version numberExample:
3 -
screeningNumber: string
Unique subject Number representing the patient/participant enrolled in the study.Example:
SCR-00123 -
siteId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the clinical site.Example:
40DB4EF4847849CCB24EFCCB71CDA436 -
subjNumSiteOrgId: string
Organization ID (UUID, 32-character uppercase hexadecimal string) for subject number at siteExample:
40DB4EF4847849CCB24EFCCB71CDA436
Examples
400 Response
400
Nested Schema : result
Type:
objectNested Schema : details
Type:
object